# applyPostKnockOutAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostKnockOutAbAttrs

- applyPostKnockOutAbAttrs(
  attrType: Constructor < PostKnockOutAbAttr >,
  pokemon: default ,
  knockedOut: default ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostKnockOutAbAttr >
  - pokemon: default
  - knockedOut: default
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5896